Subject: Re: t0032 fails on NFS mounts

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 21 Mar 2024 16:50:17 +0100

On Tue, Mar 12, 2024 at 01:11:15PM -0400, [email-masked] wrote:
> On Tuesday, March 12, 2024 11:10 AM, Chuck Lever wrote:
> >I've checked out "maint".
> >
> >Unit test t0032 fails when run on an NFS mount:
> >
> >[vagrant@cel t]$ ./t0032-reftable-unittest.sh not ok 1 - unittests
> >#
> >#		TMPDIR=$(pwd) && export TMPDIR &&
> >#		test-tool reftable
> >#
> ># failed 1 among 1 test(s)
> >1..1
> >[vagrant@cel t]$
> >
> >But not on XFS:
> >
> >[vagrant@cel t]$ ./t0032-reftable-unittest.sh ok 1 - unittests # passed all
> 1 test(s)
> >1..1
> >[vagrant@cel t]$ cd ..
> >[vagrant@cel git]$ ./git --version
> >git version 2.44.0
> >[vagrant@cel git]$
> >
> >v2.43.2 seems to work OK.
> 
> I have seen a similar effect on a standard POSIX file system (NonStop) when
> run in a special platform container (Pathway). It does not happen for me
> when run from bash directly. This may be something other than an NFS effect,
> or unrelated to what I observed. I'll be monitoring this sub-test for
> repeats.

Interesting. Do you know at what point in time this happened? Was it for
one of the releases or any of the in-between states? Also, does Pathway
mess with the stat(3P) info somehow?

Patrick